VARYING vec3 pos;

void MAIN()
{
    if (-pos.y+0.2 > chargeValue) {
        BASE_COLOR = vec4(charge.rgb,1.0);
    }
	else if (-pos.y+0.23 > chargeValue) {
        BASE_COLOR = vec4(1.0,0.0,1.0,1.0);
    }	else {
        BASE_COLOR = vec4(base.rgb,1.0);
    }
	
}
